#
# spec file for package ippl (Version 1.99.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db db-devel diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libpcap libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           ippl
BuildRequires:  bison db-devel flex libpcap
Summary:        IP Protocol Logger
Version:        1.99.5
Release:        16.9
Url:            http://pltplp.net/ippl/
Source:         ippl-%{version}.tar.bz2
Source1:        ippl.init
Patch0:         ippl-%{version}.diff
Patch1:         ippl-%{version}-priv-drop-sync.diff
License:        GPL v2 or later
Group:          Productivity/Networking/Diagnostic
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq

%description
ippl is a configurable IP protocol logger. It currently logs incoming
ICMP messages, TCP connections, and UDP datagrams. It is configured
with Apache-like rules and has a built-in DNS cache. It is aimed at
replacing iplogger.



Authors:
--------
    Hugo Haas	<hugo@larve.net>
    Etienne Bernard <eb@pltplp.net>

%debug_package
%prep
%setup -q
%patch
%patch1 -p1

%build
# Make binaries
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr --mandir=%{_mandir} --sysconfdir=/etc --with-user=nobody
make

%install
install -d      ${RPM_BUILD_ROOT}/etc/init.d \
		${RPM_BUILD_ROOT}%{prefix}/bin \
		${RPM_BUILD_ROOT}/usr/sbin
install -m 755 -d $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 755 -d $RPM_BUILD_ROOT/%{_mandir}/man5
install -m 755 -d $RPM_BUILD_ROOT/var/log/ippl
make ROOT=$RPM_BUILD_ROOT install
touch $RPM_BUILD_ROOT/var/log/ippl/all.log
install -m 755 %{S:1}		${RPM_BUILD_ROOT}/etc/init.d/ippl
ln -sf          ../../etc/init.d/ippl  ${RPM_BUILD_ROOT}/usr/sbin/rcippl

%post
%{fillup_and_insserv ippl}

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc BUGS CREDITS HISTORY INSTALL LICENSE README TODO
%config /etc/ippl.conf
%dir /var/log/ippl
%config /var/log/ippl/all.log
/%{_mandir}/man5/ippl.conf.5.gz
/%{_mandir}/man8/ippl.8.gz
/usr/sbin/*
/etc/init.d/ippl

%changelog
* Tue Apr 08 2008 - ro@suse.de
- buildreq: libpcap-devel -> libpcap
  (libpcap was never splitted in sle10)
* Mon Apr 07 2008 - mge@suse.de
- add correct BuildRequires to spec-file
* Mon Apr 07 2008 - mge@suse.de
- fixed bugzilla number format:
- thread synchronization for ippl-1.99.5; make sure all threads
  are blocked until startAllThreads() finishes [bnc#326048]
* Mon Oct 08 2007 - mge@suse.de
- thread synchronization for ippl-1.99.5; make sure all threads
  are blocked until startAllThreads() finishes [#326048]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 - schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Thu Aug 12 2004 - mge@suse.de
- update to 1.99.5
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Thu Jun 12 2003 - mmj@suse.de
- Own /var/log/ippl
* Mon Aug 19 2002 - mmj@suse.de
- Correct PreReq
* Thu Aug 15 2002 - mge@suse.de
- update to 1.4.14
* Sat Jul 27 2002 - adrian@suse.de
- add reload and force-reload to runlevel script
  (needed by LSB)
* Mon Jan 14 2002 - ro@suse.de
- removed START_IPPL
* Sun Aug 26 2001 - mge@suse.de
- update to 1.4.13: Fixed the parsing of hostnames containing a "-"
- fixed /etc/init.d/ippl status-handling (bug #9049)
* Mon Dec 04 2000 - mge@suse.de
- update to 1.4.12, new /etc/init.d handling
* Mon Nov 06 2000 - ro@suse.de
- added db-devel to neededforbuild
* Thu Jul 13 2000 - mge@suse.de
- added symlinks to /etc/rc.d/rc2.d /etc/rc.d/rc3.d
* Sat Jul 08 2000 - mge@suse.de
- initial SuSE package
* Thu Jun 08 2000 - Curtis Ireland <cireland@aurora.carleton.ca>
- Package for ippl 1.4.10
- Change URL in .spec file
- Change my contact email
* Mon Jan 10 2000 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Adjust logrotate
* Mon Dec 06 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Rebuild for RedHat 6.x
- Resign packages due to loss of PGP keys
* Fri Oct 15 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.8
- Fix /var/log/ippl/all.log so that new versions don't overwrite old ones
* Wed Sep 08 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.7
* Wed Aug 11 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Fixed location of logs in logrotate file
* Thu Jun 17 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.6
* Tue Apr 20 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.5
* Tue Apr 13 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.3 (For archival purposes)
- Package for ippl 1.4.4
* Thu Apr 08 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.2
* Tue Apr 06 1999 - Charles R. Anderson <cra@wpi.edu>
- Made buildable by normal user
- Added /var/log/ippl directory to package
* Mon Apr 05 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.1
* Sat Mar 27 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.0
* Mon Mar 22 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Add patch to fix ident problems
* Tue Mar 16 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.9
- Added package signature for verification
- Package for ippl 1.3.8 (Bug Fix version)
- Package for ippl 1.3.7
* Mon Mar 15 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.6 (1.3.4 -> 1.3.5 were development releases)
- Adjust script to accommodate configure script
* Mon Mar 08 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.3
- Package for ippl 1.3.2 (Through patch)
- Allows for compiles on libc5 systems
* Sun Mar 07 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.2.4
- Patch ippl 1.2.4 -> 1.3.1
* Thu Mar 04 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.2.2
* Mon Mar 01 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.2
- ippl.conf patch to enable file logging into ippl.log
* Mon Feb 22 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.1
- PGP signed packages
* Wed Feb 17 1999 - Curtis Ireland <cireland@vsynth.carlrton.ca>
- Fixed typo in the ippl.init file
- Includes /var/log/ippl.log
- Added logrotate file
* Tue Feb 16 1999 - Curtis Ireland <cireland@vsynth.carlrton.ca>
- Creaded rpm from ippl package.
